public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dirty-equals/
Date: Mon,  6 Nov 2023 11:45:45 +0000 (UTC)	[thread overview]
Message-ID: <1699271141.970472e195c28544c78509265fa2b8a7864cdf13.mgorny@gentoo> (raw)

commit:     970472e195c28544c78509265fa2b8a7864cdf13
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  6 11:45:13 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov  6 11:45:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=970472e1

dev-python/dirty-equals: Remove the dep on <dev-python/pydantic-2

Remove the dependency on <dev-python/pydantic-2.  It is used only
for the IsUrl class, and this class is not used by any reverse
dependency.  Furthermore, there does not seem to be any progress
on fixing it to work with >=dev-python/pydantic-2.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 ....6.0-r2.ebuild => dirty-equals-0.6.0-r3.ebuild} | 22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

diff --git a/dev-python/dirty-equals/dirty-equals-0.6.0-r2.ebuild b/dev-python/dirty-equals/dirty-equals-0.6.0-r3.ebuild
similarity index 64%
rename from dev-python/dirty-equals/dirty-equals-0.6.0-r2.ebuild
rename to dev-python/dirty-equals/dirty-equals-0.6.0-r3.ebuild
index 45dacef97239..d11e92a9c462 100644
--- a/dev-python/dirty-equals/dirty-equals-0.6.0-r2.ebuild
+++ b/dev-python/dirty-equals/dirty-equals-0.6.0-r3.ebuild
@@ -24,7 +24,6 @@ SLOT="0"
 KEYWORDS="amd64 arm arm64 ~loong ppc ppc64 ~riscv ~s390 sparc x86"
 
 RDEPEND="
-	<dev-python/pydantic-2[${PYTHON_USEDEP}]
 	>=dev-python/pytz-2021.3[${PYTHON_USEDEP}]
 "
 BDEPEND="
@@ -36,12 +35,31 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
+src_prepare() {
+	# hackaround IsUrl use in global scope (for parametrize)
+	if ! has_version "dev-python/pydantic[${PYTHON_USEDEP}]"; then
+		sed -i -e 's:IsUrl([^)]*):IsUrl:g' tests/test_other.py || die
+	fi
+
+	distutils-r1_src_prepare
+}
+
 python_test() {
 	local EPYTEST_IGNORE=(
 		# require unpackaged pytest-examples
 		tests/test_docs.py
 	)
+	local args=()
+
+	if ! has_version "<dev-python/pydantic-2[${PYTHON_USEDEP}]"; then
+		args+=(
+			# IsUrl is not used in any revdeps, and it's broken
+			# with pydantic-2
+			# https://github.com/samuelcolvin/dirty-equals/issues/72
+			-k "not is_url"
+		)
+	fi
 
 	local -x TZ=UTC
-	epytest
+	epytest "${args[@]}"
 }


             reply	other threads:[~2023-11-06 11:45 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-11-06 11:45 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23 13:13 [gentoo-commits] repo/gentoo:master commit in: dev-python/dirty-equals/ Michał Górny
2025-02-16 19:48 Michał Górny
2025-02-01 10:12 Michał Górny
2025-02-01  9:51 Arthur Zamarin
2025-01-12  3:32 Michał Górny
2024-09-17 10:14 Arthur Zamarin
2024-08-31  9:21 Michał Górny
2024-08-31  8:00 Arthur Zamarin
2024-08-14  6:05 Michał Górny
2024-06-28  5:23 Michał Górny
2024-05-15 17:54 Michał Górny
2023-12-02 10:24 Michał Górny
2023-12-02 10:24 Michał Górny
2023-12-02 10:14 Arthur Zamarin
2023-12-02 10:06 Michał Górny
2023-12-02 10:06 Michał Górny
2023-12-02  9:50 Michał Górny
2023-12-02  9:45 Arthur Zamarin
2023-12-02  9:38 Arthur Zamarin
2023-12-02  9:34 Michał Górny
2023-11-17  8:54 Jakov Smolić
2023-11-14 20:06 Michał Górny
2023-07-20 10:16 WANG Xuerui
2023-07-06 13:50 Michał Górny
2023-06-11 18:38 Jakov Smolić
2023-06-11 15:37 Sam James
2023-06-11 15:04 Sam James
2023-06-11 15:04 Sam James
2023-06-11 13:32 Sam James
2023-06-11 13:32 Sam James
2023-06-11 13:32 Sam James
2023-05-30 18:37 Michał Górny
2023-05-30 18:37 Michał Górny
2023-05-26 20:26 Arthur Zamarin
2023-04-28  5:56 Michał Górny
2022-11-14  4:36 Michał Górny
2022-08-31  9:21 Michał Górny
2022-08-13 11:17 Arthur Zamarin
2022-06-24 11:40 Michał Górny
2022-06-09  2:43 Sam James
2022-05-16 13:17 Michał Górny
2022-05-15  8:43 Michał Górny
2022-05-01  7:30 Michał Górny
2022-04-25  6:29 Jakov Smolić
2022-04-24 18:06 Arthur Zamarin
2022-04-24 18:06 Arthur Zamarin
2022-04-24 18:06 Arthur Zamarin
2022-04-24 18:06 Arthur Zamarin
2022-04-24 18:04 Arthur Zamarin
2022-04-24  9:05 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1699271141.970472e195c28544c78509265fa2b8a7864cdf13.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox